Summary:       An email interface for PGP keyservers
Name:          pgp-ekp
Version:       0.8.2
Release:       5%{?dist}%{?pext}
License:       GPL
Group:         Applications/Internet
Source0:       ftp://ftp.pramberger.at/software/projects/%{name}-%{version}.tar.gz
URL:           http://www.pramberger.at/peter/software/projects/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Peter Pramberger <peterpramb@member.fsf.org>
Requires:      procmail
BuildArch:     noarch


%description
PGP-EKP is an email user interface for PGP keyservers, which do not implement
this service on their own. Even today only few keyservers are accessible via
HTTP port 80, therefore submitting and retrieving PGP keys via email may be
the only way for users behind restrictive firewalls to interact with the PGP
keyserver network.


%prep
%setup -q


%build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__install} -m 0644 %{name}.ini ${RPM_BUILD_ROOT}%{_sysconfdir}
%{__install} -m 0755 %{name}.pl  ${RPM_BUILD_ROOT}%{_bindir}

%{__cp}      -pd     help/*      ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc VERSION procmailrc.ex
%config(noreplace) %{_sysconfdir}/%{name}.ini
%config(noreplace) %{_bindir}/%{name}.pl
%dir %{_datadir}/%{name}
%config(noreplace) %{_datadir}/%{name}/help*


%changelog
* Mon Jun 08 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.2-5
- Rewritten for buildsystem

* Wed Jul 18 2007 peter.pramberger@member.fsf.org 0.8.2-4
- new version (0.8.2)

* Thu Feb 27 2007 peter.pramberger@member.fsf.org 0.8.1-4
- some spec file cleanups

* Mon May 29 2006 peter.pramberger@member.fsf.org
- new version (0.8.1)

* Mon Dec 12 2005 peter.pramberger@member.fsf.org
- some spec file cleanups

* Sat Sep 17 2005 peter.pramberger@member.fsf.org
- created
